services:
    dmzx.linkaccount.functions:
        class: dmzx\linkaccount\core\functions
        arguments:
            - '@user'
            - '@auth'
            - '@log'
            - '@request'
            - '@dbal.conn'
            - '@cache.driver'
            - '@template'
            - '@config'
            - '%core.root_path%'
            - '%core.php_ext%'
    dmzx.linkaccount.main.listener:
        class: dmzx\linkaccount\event\main_listener
        arguments:
            - '@request'
            - '@user'
            - '@template'
            - '@dmzx.linkaccount.functions'
        tags:
            - { name: event.listener }
